1. Noga
Graph Swiss API
  • Introduction
  • Quickstart
  • Authentication
  • Base URL
  • Errors
  • Request ID
  • Conventions
  • API
    • Health
      • Liveness probe
    • Companies
      • Search companies
      • AI-powered company search
      • Get company by ID
      • Get company journal summaries
      • Get full SHAB journal texts
      • Get detailed company report
    • Persons
      • Search persons
      • Get person by ID
    • Stocks
      • List active Swiss stock symbols
      • Get real-time stock quote
      • Get current stock price
      • Get historical OHLCV data
      • Get latest end-of-day data
      • Get company profile and statistics
      • Get income statement, balance sheet, and cash flow
      • Get key executives for a stock
    • Noga
      • List NOGA classifications
        GET
      • Get NOGA entry by ID
        GET
  • Schemas
    • Error
    • Company
    • CompanyDetail
    • Code
    • CompanyWithRelations
    • CompanyListPage
    • Person
    • ShabJournal
    • PersonCompanyLink
    • PersonWithCompanies
    • PersonListPage
    • NogaEntry
    • NogaListPage
    • StockSymbol
    • StockQuote
    • StockPrice
    • StockHistoryValue
    • StockHistory
    • StockEod
    • StockProfile
    • StockIncomeStatement
    • StockBalanceSheet
    • StockCashFlow
    • StockFinancials
    • StockKeyExecutive
  1. Noga

Get NOGA entry by ID

GET
/api/v1/noga/{id}
Returns a single NOGA classification entry.

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/noga/42' \
--header 'X-API-Key: <api-key>'

Responses

🟢200
application/json
NOGA entry.
Bodyapplication/json

Example
{
    "success": true,
    "data": {
        "id": 42,
        "code": "64.19",
        "parent_id": 0,
        "level": 0,
        "section": "K",
        "text_de": "string",
        "text_fr": "string",
        "text_it": "string",
        "text_en": "string"
    }
}
🟠400BadRequest
🟠401Unauthorized
🟠402PaymentRequired
🟠404NotFound
🟠429TooManyRequests
🔴502UpstreamError
Modified at 2026-05-23 17:34:51
Previous
List NOGA classifications
Next
Error
Built with